Index: protocols/yahoo/libyahoo2.c
===================================================================
--- protocols/yahoo/libyahoo2.c	(revision 25c4c78e2ddad482dfc9d5a104f76325fcc2f8e5)
+++ protocols/yahoo/libyahoo2.c	(revision 9216eff1a59e9d4a24b63c16ba4c2cacd051332c)
@@ -2435,16 +2566,20 @@
 
 	YList *l;
+
 	yahoo_dump_unhandled(pkt);
 	for (l = pkt->hash; l; l = l->next) {
 		struct yahoo_pair *pair = l->data;
-		if (pair->key == 5)
+		if (pair->key == 5) {
 			; /* me */
-		if (pair->key == 61)
+		}
+		if (pair->key == 61) {
 			key = pair->value;
+		}
 	}
 
 	l = webcam_queue;
-	if (!l)
-		return;
+	if (!l) {
+		return;
+	}
 	who = l->data;
 	webcam_queue = y_list_remove_link(webcam_queue, webcam_queue);
@@ -2455,5 +2590,5 @@
 
 static void yahoo_packet_process(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                                 struct yahoo_packet *pkt)
 {
 	DEBUG_MSG(("yahoo_packet_process: 0x%02x", pkt->service));
@@ -2577,5 +2712,5 @@
 		yahoo_process_picture_upload(yid, pkt);
 		break;
-	case YAHOO_SERVICE_Y8_LIST:	/* Buddy List */
+	case YAHOO_SERVICE_Y8_LIST:     /* Buddy List */
 		yahoo_process_buddy_list(yid, pkt);
 		break;
@@ -2594,6 +2729,7 @@
 	int pktlen;
 
-	if (!yd)
+	if (!yd) {
 		return NULL;
+	}
 
 	DEBUG_MSG(("rxlen is %d", yid->rxlen));
@@ -2603,5 +2739,5 @@
 	}
 
-	pos += 4;		/* YMSG */
+	pos += 4;               /* YMSG */
 	pos += 2;
 	pos += 2;
@@ -2626,5 +2762,5 @@
 	pos += 4;
 	DEBUG_MSG(("Yahoo Service: 0x%02x Status: %d", pkt->service,
-			pkt->status));
+	           pkt->status));
 	pkt->id = yahoo_get32(yid->rxqueue + pos);
 	pos += 4;
@@ -2638,9 +2774,9 @@
 	if (yid->rxlen > 0) {
 		unsigned char *tmp = y_memdup(yid->rxqueue + YAHOO_PACKET_HDRLEN
-			+ pktlen, yid->rxlen);
+		                              + pktlen, yid->rxlen);
 		FREE(yid->rxqueue);
 		yid->rxqueue = tmp;
 		DEBUG_MSG(("new rxlen == %d, rxqueue == %p", yid->rxlen,
-				yid->rxqueue));
+		           yid->rxqueue));
 	} else {
 		DEBUG_MSG(("freed rxqueue == %p", yid->rxqueue));
@@ -2655,5 +2791,5 @@
 {
 	char *st, *en;
-	char *data = (char *)d;
+	char *data = (char *) d;
 	struct yab *yab = NULL;
 
@@ -2671,6 +2807,7 @@
 	}
 
-	if (!en)
+	if (!en) {
 		return NULL;
+	}
 
 	st = strstr(en, "id=\"");
@@ -2755,29 +2892,35 @@
 	struct yahoo_data *yd = yid->yd;
 
-	if (!yd)
+	if (!yd) {
 		return NULL;
+	}
 
 	do {
 		DEBUG_MSG(("rxlen is %d", yid->rxlen));
 
-		if (yid->rxlen <= strlen("<ct"))
+		if (yid->rxlen <= strlen("<ct")) {
 			return NULL;
+		}
 
 		/* start with <ct */
 		while (pos < yid->rxlen - strlen("<ct") + 1
-			&& memcmp(yid->rxqueue + pos, "<ct", strlen("<ct")))
+		       && memcmp(yid->rxqueue + pos, "<ct", strlen("<ct"))) {
 			pos++;
-
-		if (pos >= yid->rxlen - 1)
+		}
+
+		if (pos >= yid->rxlen - 1) {
 			return NULL;
+		}
 
 		end = pos + 2;
 		/* end with > */
 		while (end < yid->rxlen - strlen(">")
-			&& memcmp(yid->rxqueue + end, ">", strlen(">")))
+		       && memcmp(yid->rxqueue + end, ">", strlen(">"))) {
 			end++;
-
-		if (end >= yid->rxlen - 1)
+		}
+
+		if (end >= yid->rxlen - 1) {
 			return NULL;
+		}
 
 		yab = yahoo_yab_read(yid->rxqueue + pos, end + 2 - pos);
@@ -2785,12 +2928,12 @@
 		yid->rxlen -= end + 1;
 		DEBUG_MSG(("rxlen == %d, rxqueue == %p", yid->rxlen,
-				yid->rxqueue));
+		           yid->rxqueue));
 		if (yid->rxlen > 0) {
 			unsigned char *tmp =
-				y_memdup(yid->rxqueue + end + 1, yid->rxlen);
+			        y_memdup(yid->rxqueue + end + 1, yid->rxlen);
 			FREE(yid->rxqueue);
 			yid->rxqueue = tmp;
 			DEBUG_MSG(("new rxlen == %d, rxqueue == %p", yid->rxlen,
-					yid->rxqueue));
+			           yid->rxqueue));
 		} else {
 			DEBUG_MSG(("freed rxqueue == %p", yid->rxqueue));
@@ -2812,12 +2955,14 @@
 	struct yahoo_data *yd = yid->yd;
 
-	if (!yid || !yd)
+	if (!yid || !yd) {
 		return NULL;
+	}
 
 	DEBUG_MSG(("rxlen is %d", yid->rxlen));
 
 	len = yid->rxqueue[pos++];
-	if (yid->rxlen < len)
+	if (yid->rxlen < len) {
 		return NULL;
+	}
 
 	/* extract status (0 = ok, 6 = webcam not online) */
@@ -2825,10 +2970,10 @@
 
 	if (status == 0) {
-		pos += 2;	/* skip next 2 bytes */
+		pos += 2;       /* skip next 2 bytes */
 		server = y_memdup(yid->rxqueue + pos, 16);
 		pos += 16;
 	} else if (status == 6) {
-		YAHOO_CALLBACK(ext_yahoo_webcam_closed)
-			(yd->client_id, yid->wcm->user, 4);
+		YAHOO_CALLBACK (ext_yahoo_webcam_closed)
+		        (yd->client_id, yid->wcm->user, 4);
 	}
 
@@ -2842,5 +2987,5 @@
 		yid->rxqueue = tmp;
 		DEBUG_MSG(("new rxlen == %d, rxqueue == %p", yid->rxlen,
-				yid->rxqueue));
+		           yid->rxqueue));
 	} else {
 		DEBUG_MSG(("freed rxqueue == %p", yid->rxqueue));
@@ -2863,9 +3008,11 @@
 	struct yahoo_data *yd = yid->yd;
 
-	if (!yd)
+	if (!yd) {
 		return -1;
-
-	if (!yid->wcm || !yid->wcd || !yid->rxlen)
+	}
+
+	if (!yid->wcm || !yid->wcd || !yid->rxlen) {
 		return -1;
+	}
 
 	DEBUG_MSG(("rxlen is %d", yid->rxlen));
@@ -2876,6 +3023,7 @@
 		yid->wcd->packet_type = 0;
 
-		if (yid->rxlen < header_len)
+		if (yid->rxlen < header_len) {
 			return 0;
+		}
 
 		if (header_len >= 8) {
@@ -2899,6 +3047,7 @@
 	begin = pos;
 	pos += yid->wcd->to_read;
-	if (pos > yid->rxlen)
+	if (pos > yid->rxlen) {
 		pos = yid->rxlen;
+	}
 
 	/* if it is not an image then make sure we have the whole packet */
@@ -2913,5 +3062,5 @@
 
 	DEBUG_MSG(("packet type %.2X, data length %d", yid->wcd->packet_type,
-			yid->wcd->data_size));
+	           yid->wcd->data_size));
 
 	/* find out what kind of packet we got */
@@ -2920,13 +3069,15 @@
 		/* user requests to view webcam (uploading) */
 		if (yid->wcd->data_size &&
-			yid->wcm->direction == YAHOO_WEBCAM_UPLOAD) {
+		    yid->wcm->direction == YAHOO_WEBCAM_UPLOAD) {
 			end = begin;
-			while (end <= yid->rxlen && yid->rxqueue[end++] != 13) ;
+			while (end <= yid->rxlen && yid->rxqueue[end++] != 13) {
+				;
+			}
 			if (end > begin) {
 				who = y_memdup(yid->rxqueue + begin,
-					end - begin);
+				               end - begin);
 				who[end - begin - 1] = 0;
-				YAHOO_CALLBACK(ext_yahoo_webcam_viewer) (yd->
-					client_id, who + 2, 2);
+				YAHOO_CALLBACK (ext_yahoo_webcam_viewer) (yd->
+				                                          client_id, who + 2, 2);
 				FREE(who);
 			}
@@ -2938,56 +3089,57 @@
 			/* 1 = accepted viewing permission */
 			if (yid->wcd->timestamp == 0) {
-				YAHOO_CALLBACK(ext_yahoo_webcam_closed) (yd->
-					client_id, yid->wcm->user, 3);
+				YAHOO_CALLBACK (ext_yahoo_webcam_closed) (yd->
+				                                          client_id, yid->wcm->user, 3);
 			}
 		}
 		break;
-	case 0x01:		/* status packets?? */
+	case 0x01:              /* status packets?? */
 		/* timestamp contains status info */
 		/* 00 00 00 01 = we have data?? */
 		break;
-	case 0x02:		/* image data */
-		YAHOO_CALLBACK(ext_yahoo_got_webcam_image) (yd->client_id,
-			yid->wcm->user, yid->rxqueue + begin,
-			yid->wcd->data_size, pos - begin, yid->wcd->timestamp);
+	case 0x02:              /* image data */
+		YAHOO_CALLBACK (ext_yahoo_got_webcam_image) (yd->client_id,
+		                                             yid->wcm->user, yid->rxqueue + begin,
+		                                             yid->wcd->data_size, pos - begin, yid->wcd->timestamp);
 		break;
-	case 0x05:		/* response packets when uploading */
+	case 0x05:              /* response packets when uploading */
 		if (!yid->wcd->data_size) {
-			YAHOO_CALLBACK(ext_yahoo_webcam_data_request) (yd->
-				client_id, yid->wcd->timestamp);
+			YAHOO_CALLBACK (ext_yahoo_webcam_data_request) (yd->
+			                                                client_id, yid->wcd->timestamp);
 		}
 		break;
-	case 0x07:		/* connection is closing */
+	case 0x07:              /* connection is closing */
 		switch (reason) {
-		case 0x01:	/* user closed connection */
+		case 0x01:      /* user closed connection */
 			closed = 1;
 			break;
-		case 0x0F:	/* user cancelled permission */
+		case 0x0F:      /* user cancelled permission */
 			closed = 2;
 			break;
 		}
-		YAHOO_CALLBACK(ext_yahoo_webcam_closed) (yd->client_id,
-			yid->wcm->user, closed);
+		YAHOO_CALLBACK (ext_yahoo_webcam_closed) (yd->client_id,
+		                                          yid->wcm->user, closed);
 		break;
-	case 0x0C:		/* user connected */
-	case 0x0D:		/* user disconnected */
+	case 0x0C:              /* user connected */
+	case 0x0D:              /* user disconnected */
 		if (yid->wcd->data_size) {
 			who = y_memdup(yid->rxqueue + begin, pos - begin + 1);
 			who[pos - begin] = 0;
-			if (yid->wcd->packet_type == 0x0C)
+			if (yid->wcd->packet_type == 0x0C) {
 				connect = 1;
-			else
+			} else {
 				connect = 0;
-			YAHOO_CALLBACK(ext_yahoo_webcam_viewer) (yd->client_id,
-				who, connect);
+			}
+			YAHOO_CALLBACK (ext_yahoo_webcam_viewer) (yd->client_id,
+			                                          who, connect);
 			FREE(who);
 		}
 		break;
-	case 0x13:		/* user data */
+	case 0x13:              /* user data */
 		/* i=user_ip (ip of the user we are viewing) */
 		/* j=user_ext_ip (external ip of the user we */
 		/*                are viewing) */
 		break;
-	case 0x17:		/* ?? */
+	case 0x17:              /* ?? */
 		break;
 	}
@@ -3001,5 +3153,5 @@
 		yid->rxqueue = tmp;
 		DEBUG_MSG(("new rxlen == %d, rxqueue == %p", yid->rxlen,
-				yid->rxqueue));
+		           yid->rxqueue));
 	} else {
 		DEBUG_MSG(("freed rxqueue == %p", yid->rxqueue));
@@ -3008,6 +3160,7 @@
 
 	/* If we read a complete packet return success */
-	if (!yid->wcd->to_read)
+	if (!yid->wcd->to_read) {
 		return 1;
+	}
 
 	return 0;
@@ -3021,6 +3174,7 @@
 
 	LOG(("write callback: id=%d fd=%p data=%p", id, fd, data));
-	if (!yid || !yid->txqueues)
+	if (!yid || !yid->txqueues) {
 		return -2;
+	}
 
 	tx = yid->txqueues->data;
@@ -3028,6 +3182,7 @@
 	len = yahoo_send_data(fd, tx->queue, MIN(1024, tx->len));
 
-	if (len == -1 && errno == EAGAIN)
+	if (len == -1 && errno == EAGAIN) {
 		return 1;
+	}
 
 	if (len <= 0) {
@@ -3040,10 +3195,10 @@
 			free(tx);
 			yid->txqueues =
-				y_list_remove_link(yid->txqueues,
-				yid->txqueues);
+			        y_list_remove_link(yid->txqueues,
+			                           yid->txqueues);
 			y_list_free_1(l);
 		}
 		LOG(("yahoo_write_ready(%d, %p) len < 0", id, fd));
-		YAHOO_CALLBACK(ext_yahoo_remove_handler) (id, yid->write_tag);
+		YAHOO_CALLBACK (ext_yahoo_remove_handler) (id, yid->write_tag);
 		yid->write_tag = 0;
 		errno = e;
@@ -3062,14 +3217,14 @@
 		free(tx);
 		yid->txqueues =
-			y_list_remove_link(yid->txqueues, yid->txqueues);
+		        y_list_remove_link(yid->txqueues, yid->txqueues);
 		y_list_free_1(l);
 		/*
-		   if(!yid->txqueues) 
+		   if(!yid->txqueues)
 		   LOG(("yahoo_write_ready(%d, %d) !yxqueues", id, fd));
 		 */
 		if (!yid->txqueues) {
 			LOG(("yahoo_write_ready(%d, %p) !txqueues", id, fd));
-			YAHOO_CALLBACK(ext_yahoo_remove_handler) (id,
-				yid->write_tag);
+			YAHOO_CALLBACK (ext_yahoo_remove_handler) (id,
+			                                           yid->write_tag);
 			yid->write_tag = 0;
 		}
@@ -3080,5 +3235,5 @@
 
 static void yahoo_process_pager_connection(struct yahoo_input_data *yid,
-	int over)
+                                           int over)
 {
 	struct yahoo_packet *pkt;
@@ -3086,9 +3241,10 @@
 	int id = yd->client_id;
 
-	if (over)
-		return;
+	if (over) {
+		return;
+	}
 
 	while (find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER)
-		&& (pkt = yahoo_getdata(yid)) != NULL) {
+	       && (pkt = yahoo_getdata(yid)) != NULL) {
 
 		yahoo_packet_process(yid, pkt);
@@ -3099,12 +3255,13 @@
 
 static void yahoo_process_chatcat_connection(struct yahoo_input_data *yid,
-	int over)
-{
-	if (over)
-		return;
-
-	if (strstr((char *)yid->rxqueue + (yid->rxlen - 20), "</content>")) {
-		YAHOO_CALLBACK(ext_yahoo_chat_cat_xml) (yid->yd->client_id,
-			(char *)yid->rxqueue);
+                                             int over)
+{
+	if (over) {
+		return;
+	}
+
+	if (strstr((char *) yid->rxqueue + (yid->rxlen - 20), "</content>")) {
+		YAHOO_CALLBACK (ext_yahoo_chat_cat_xml) (yid->yd->client_id,
+		                                         (char *) yid->rxqueue);
 	}
 }
@@ -3122,11 +3279,13 @@
 	LOG(("Got data for YAB"));
 
-	if (over)
-		return;
+	if (over) {
+		return;
+	}
 
 	while (find_input_by_id_and_type(id, YAHOO_CONNECTION_YAB)
-		&& (yab = yahoo_getyab(yid)) != NULL) {
-		if (!yab->id)
+	       && (yab = yahoo_getyab(yid)) != NULL) {
+		if (!yab->id) {
 			continue;
+		}
 
 		changed = 1;
@@ -3141,12 +3300,12 @@
 				} else if (yab->fname && yab->lname) {
 					bud->real_name = y_new0(char,
-						strlen(yab->fname) +
-						strlen(yab->lname) + 2);
+					                        strlen(yab->fname) +
+					                        strlen(yab->lname) + 2);
 					sprintf(bud->real_name, "%s %s",
-						yab->fname, yab->lname);
+					        yab->fname, yab->lname);
 				} else if (yab->fname) {
 					bud->real_name = strdup(yab->fname);
 				}
-				break;	/* for */
+				break;  /* for */
 			}
 		}
@@ -3166,24 +3325,26 @@
 	}
 
-	if (changed)
-		YAHOO_CALLBACK(ext_yahoo_got_buddies) (yd->client_id,
-			yd->buddies);
+	if (changed) {
+		YAHOO_CALLBACK (ext_yahoo_got_buddies) (yd->client_id,
+		                                        yd->buddies);
+	}
 }
 #endif
 
 static void yahoo_process_search_connection(struct yahoo_input_data *yid,
-	int over)
+                                            int over)
 {
 	struct yahoo_found_contact *yct = NULL;
-	char *p = (char *)yid->rxqueue, *np, *cp;
+	char *p = (char *) yid->rxqueue, *np, *cp;
 	int k, n;
 	int start = 0, found = 0, total = 0;
 	YList *contacts = NULL;
 	struct yahoo_input_data *pyid =
-		find_input_by_id_and_type(yid->yd->client_id,
-		YAHOO_CONNECTION_PAGER);
-
-	if (!over || !pyid)
-		return;
+	        find_input_by_id_and_type(yid->yd->client_id,
+	                                  YAHOO_CONNECTION_PAGER);
+
+	if (!over || !pyid) {
+		return;
+	}
 
 	if (p && (p = strstr(p, "\r\n\r\n"))) {
@@ -3206,6 +3367,7 @@
 		}
 
-		if (p)
+		if (p) {
 			p++;
+		}
 
 		k = 0;
@@ -3214,6 +3376,7 @@
 			np = strchr(p, 4);
 
-			if (!np)
+			if (!np) {
 				break;
+			}
 			*np = 0;
 			p = np + 1;
@@ -3222,7 +3385,7 @@
 			case 1:
 				if (strlen(cp) > 2
-					&& y_list_length(contacts) < total) {
+				    && y_list_length(contacts) < total) {
 					yct = y_new0(struct yahoo_found_contact,
-						1);
+					             1);
 					contacts = y_list_append(contacts, yct);
 					yct->id = cp + 2;
@@ -3242,6 +3405,7 @@
 			case 5:
 				/* not worth the context switch for strcmp */
-				if (cp[0] != '\005' || cp[1] != '\000')
+				if (cp[0] != '\005' || cp[1] != '\000') {
 					yct->location = cp;
+				}
 				k = 0;
 				break;
@@ -3250,6 +3414,6 @@
 	}
 
-	YAHOO_CALLBACK(ext_yahoo_got_search_result) (yid->yd->client_id, found,
-		start, total, contacts);
+	YAHOO_CALLBACK (ext_yahoo_got_search_result) (yid->yd->client_id, found,
+	                                              start, total, contacts);
 
 	while (contacts) {
@@ -3357,6 +3521,6 @@
 
 	yid->read_tag =
-		YAHOO_CALLBACK(ext_yahoo_add_handler) (yid->yd->client_id,
-		yid->fd, YAHOO_INPUT_READ, yid);
+	        YAHOO_CALLBACK (ext_yahoo_add_handler) (yid->yd->client_id,
+	                                                yid->fd, YAHOO_INPUT_READ, yid);
 }
 
@@ -3366,6 +3530,7 @@
 	struct yahoo_input_data *yid;
 
-	if (!wcm || !wcm->server || !wcm->key)
-		return;
+	if (!wcm || !wcm->server || !wcm->key) {
+		return;
+	}
 
 	yid = y_new0(struct yahoo_input_data, 1);
@@ -3380,17 +3545,18 @@
 
 	LOG(("Connecting to: %s:%d", wcm->server, wcm->port));
-	YAHOO_CALLBACK(ext_yahoo_connect_async) (y->yd->client_id, wcm->server,
-		wcm->port, _yahoo_webcam_connected, yid, 0);
+	YAHOO_CALLBACK (ext_yahoo_connect_async) (y->yd->client_id, wcm->server,
+	                                          wcm->port, _yahoo_webcam_connected, yid, 0);
 
 }
 
 static void yahoo_process_webcam_master_connection(struct yahoo_input_data *yid,
-	int over)
+                                                   int over)
 {
 	char *server;
 	struct yahoo_server_settings *yss;
 
-	if (over)
-		return;
+	if (over) {
+		return;
+	}
 
 	server = yahoo_getwebcam_master(yid);
@@ -3402,6 +3568,7 @@
 		yid->wcm->conn_type = yss->conn_type;
 		yid->wcm->my_ip = strdup(yss->local_host);
-		if (yid->wcm->direction == YAHOO_WEBCAM_UPLOAD)
+		if (yid->wcm->direction == YAHOO_WEBCAM_UPLOAD) {
 			yid->wcm->description = strdup(yss->webcam_description);
+		}
 		yahoo_webcam_connect(yid);
 		FREE(server);
@@ -3410,25 +3577,29 @@
 
 static void yahoo_process_webcam_connection(struct yahoo_input_data *yid,
-	int over)
+                                            int over)
 {
 	int id = yid->yd->client_id;
 	void *fd = yid->fd;
 
-	if (over)
-		return;
+	if (over) {
+		return;
+	}
 
 	/* as long as we still have packets available keep processing them */
 	while (find_input_by_id_and_fd(id, fd)
-		&& yahoo_get_webcam_data(yid) == 1) ;
-}
-
-static void (*yahoo_process_connection[]) (struct yahoo_input_data *,
-	int over) = {
-yahoo_process_pager_connection, yahoo_process_ft_connection,
-		NULL, /*yahoo_process_yab_connection, */
-		yahoo_process_webcam_master_connection,
-		yahoo_process_webcam_connection,
-		yahoo_process_chatcat_connection,
-		yahoo_process_search_connection};
+	       && yahoo_get_webcam_data(yid) == 1) {
+		;
+	}
+}
+
+static void(*yahoo_process_connection[]) (struct yahoo_input_data *,
+                                          int over) = {
+	yahoo_process_pager_connection, yahoo_process_ft_connection,
+	NULL,         /*yahoo_process_yab_connection, */
+	yahoo_process_webcam_master_connection,
+	yahoo_process_webcam_connection,
+	yahoo_process_chatcat_connection,
+	yahoo_process_search_connection
+};
 
 int yahoo_read_ready(int id, void *fd, void *data)
@@ -3439,13 +3610,15 @@
 
 	LOG(("read callback: id=%d fd=%p data=%p", id, fd, data));
-	if (!yid)
+	if (!yid) {
 		return -2;
+	}
 
 	do {
-		len = YAHOO_CALLBACK(ext_yahoo_read) (fd, buf, sizeof(buf));
+		len = YAHOO_CALLBACK (ext_yahoo_read) (fd, buf, sizeof(buf));
 	} while (len == -1 && errno == EINTR);
 
-	if (len == -1 && (errno == EAGAIN || errno == EINTR))	/* we'll try again later */
+	if (len == -1 && (errno == EAGAIN || errno == EINTR)) { /* we'll try again later */
 		return 1;
+	}
 
 	if (len <= 0) {
@@ -3454,6 +3627,6 @@
 
 		if (yid->type == YAHOO_CONNECTION_PAGER) {
-			YAHOO_CALLBACK(ext_yahoo_login_response) (yid->yd->
-				client_id, YAHOO_LOGIN_SOCK, NULL);
+			YAHOO_CALLBACK (ext_yahoo_login_response) (yid->yd->
+			                                           client_id, YAHOO_LOGIN_SOCK, NULL);
 		}
 
@@ -3462,6 +3635,7 @@
 
 		/* no need to return an error, because we've already fixed it */
-		if (len == 0)
+		if (len == 0) {
 			return 1;
+		}
 
 		errno = e;
@@ -3471,5 +3645,5 @@
 
 	yid->rxqueue =
-		y_renew(unsigned char, yid->rxqueue, len + yid->rxlen + 1);
+	        y_renew(unsigned char, yid->rxqueue, len + yid->rxlen + 1);
 	memcpy(yid->rxqueue + yid->rxlen, buf, len);
 	yid->rxlen += len;
@@ -3488,6 +3662,7 @@
 	yd = y_new0(struct yahoo_data, 1);
 
-	if (!yd)
+	if (!yd) {
 		return 0;
+	}
 
 	yd->user = strdup(username);
@@ -3526,16 +3701,18 @@
 			char *host = yss->pager_host;
 
-			if (!host)
+			if (!host) {
 				host = yss->pager_host_list[ccd->server_i];
+			}
 
 			yss->pager_port = fallback_ports[ccd->i++];
-			tag = YAHOO_CALLBACK(ext_yahoo_connect_async) (yd->
-				client_id, host, yss->pager_port,
-				yahoo_connected, ccd, 0);
-
-			if (tag > 0)
+			tag = YAHOO_CALLBACK (ext_yahoo_connect_async) (yd->
+			                                                client_id, host, yss->pager_port,
+			                                                yahoo_connected, ccd, 0);
+
+			if (tag > 0) {
 				ccd->tag = tag;
+			}
 		} else if (yss->pager_host_list
-				&& yss->pager_host_list[ccd->server_i]) {
+		           && yss->pager_host_list[ccd->server_i]) {
 
 			/* Get back to the default port */
@@ -3545,11 +3722,12 @@
 
 			ccd->i = 0;
-			tag = YAHOO_CALLBACK(ext_yahoo_connect_async) (yd->client_id,
-				yss->pager_host_list[ccd->server_i], yss->pager_port,
-				yahoo_connected, ccd, 0);
+			tag = YAHOO_CALLBACK (ext_yahoo_connect_async) (yd->client_id,
+			                                                yss->pager_host_list[ccd->server_i],
+			                                                yss->pager_port,
+			                                                yahoo_connected, ccd, 0);
 		} else {
 			FREE(ccd);
-			YAHOO_CALLBACK(ext_yahoo_login_response) (yd->client_id,
-				YAHOO_LOGIN_SOCK, NULL);
+			YAHOO_CALLBACK (ext_yahoo_login_response) (yd->client_id,
+			                                           YAHOO_LOGIN_SOCK, NULL);
 		}
 		return;
@@ -3559,9 +3737,10 @@
 
 	/* fd == NULL && error == 0 means connect was cancelled */
-	if (!fd)
-		return;
+	if (!fd) {
+		return;
+	}
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_AUTH, YPACKET_STATUS_DEFAULT,
-		yd->session_id);
+	                       yd->session_id);
 	NOTICE(("Sending initial packet"));
 
@@ -3576,6 +3755,6 @@
 
 	yid->read_tag =
-		YAHOO_CALLBACK(ext_yahoo_add_handler) (yid->yd->client_id,
-		yid->fd, YAHOO_INPUT_READ, yid);
+	        YAHOO_CALLBACK (ext_yahoo_add_handler) (yid->yd->client_id,
+	                                                yid->fd, YAHOO_INPUT_READ, yid);
 }
 
@@ -3583,9 +3762,11 @@
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
-	if (!yid)
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+
+	if (!yid) {
 		return 0;
-	else
+	} else {
 		return yid->fd;
+	}
 }
 
@@ -3598,32 +3779,35 @@
 
 void yahoo_send_im(int id, const char *from, const char *who, const char *what,
-	int utf8, int picture)
+                   int utf8, int picture)
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_packet *pkt = NULL;
 	struct yahoo_data *yd;
 	char pic_str[10];
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 
 	yd = yid->yd;
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_MESSAGE, (enum ypacket_status) YAHOO_STATUS_OFFLINE,
-		yd->session_id);
+	                       yd->session_id);
 
 	snprintf(pic_str, sizeof(pic_str), "%d", picture);
 
-	if (from && strcmp(from, yd->user))
+	if (from && strcmp(from, yd->user)) {
 		yahoo_packet_hash(pkt, 0, yd->user);
+	}
 	yahoo_packet_hash(pkt, 1, from ? from : yd->user);
 	yahoo_packet_hash(pkt, 5, who);
 	yahoo_packet_hash(pkt, 14, what);
 
-	if (utf8)
+	if (utf8) {
 		yahoo_packet_hash(pkt, 97, "1");
-
-	yahoo_packet_hash(pkt, 63, ";0");	/* imvironment name; or ;0 */
+	}
+
+	yahoo_packet_hash(pkt, 63, ";0");       /* imvironment name; or ;0 */
 	yahoo_packet_hash(pkt, 64, "0");
 	yahoo_packet_hash(pkt, 206, pic_str);
@@ -3637,13 +3821,15 @@
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt = NULL;
-	if (!yid)
-		return;
+
+	if (!yid) {
+		return;
+	}
 
 	yd = yid->yd;
 	pkt = yahoo_packet_new(YAHOO_SERVICE_NOTIFY, YPACKET_STATUS_NOTIFY,
-		yd->session_id);
+	                       yd->session_id);
 
 	yahoo_packet_hash(pkt, 5, who);
@@ -3661,5 +3847,5 @@
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt = NULL;
@@ -3667,6 +3853,7 @@
 	char s[4];
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 
 	yd = yid->yd;
@@ -3678,5 +3865,5 @@
 	if (yd->current_status == YAHOO_STATUS_INVISIBLE) {
 		pkt = yahoo_packet_new(YAHOO_SERVICE_Y6_VISIBLE_TOGGLE,
-			(enum ypacket_status) YAHOO_STATUS_AVAILABLE, 0);
+		                       (enum ypacket_status) YAHOO_STATUS_AVAILABLE, 0);
 		yahoo_packet_hash(pkt, 13, "2");
 		yahoo_send_packet(yid, pkt, 0);
@@ -3687,9 +3874,9 @@
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_Y6_STATUS_UPDATE,
-		yd->current_status, yd->session_id);
+	                       yd->current_status, yd->session_id);
 	snprintf(s, sizeof(s), "%d", yd->current_status);
 	yahoo_packet_hash(pkt, 10, s);
 	yahoo_packet_hash(pkt, 19, msg && state == YAHOO_STATUS_CUSTOM ? msg : "");
-	yahoo_packet_hash(pkt, 47, (away == 2)? "2": (away) ?"1":"0");
+	yahoo_packet_hash(pkt, 47, (away == 2) ? "2" : (away) ? "1" : "0");
 	yahoo_send_packet(yid, pkt, 0);
 	yahoo_packet_free(pkt);
@@ -3697,5 +3884,5 @@
 	if (old_status == YAHOO_STATUS_INVISIBLE) {
 		pkt = yahoo_packet_new(YAHOO_SERVICE_Y6_VISIBLE_TOGGLE,
-			(enum ypacket_status) YAHOO_STATUS_AVAILABLE, 0);
+		                       (enum ypacket_status) YAHOO_STATUS_AVAILABLE, 0);
 		yahoo_packet_hash(pkt, 13, "1");
 		yahoo_send_packet(yid, pkt, 0);
@@ -3707,10 +3894,11 @@
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt = NULL;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 	yd = yid->yd;
 
@@ -3722,5 +3910,5 @@
 		   connection reset will hopefully be clear enough. */
 		pkt = yahoo_packet_new(YAHOO_SERVICE_LOGOFF,
-			YPACKET_STATUS_DEFAULT, yd->session_id);
+		                       YPACKET_STATUS_DEFAULT, yd->session_id);
 		yd->current_status = -1;
 
@@ -3732,6 +3920,6 @@
 
 /*	do {
-		yahoo_input_close(yid);
-	} while((yid = find_input_by_id(id)));*/
+                yahoo_input_close(yid);
+        } while((yid = find_input_by_id(id)));*/
 
 }
@@ -3741,14 +3929,15 @@
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt = NULL;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 	yd = yid->yd;
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_LIST, YPACKET_STATUS_DEFAULT,
-		yd->session_id);
+	                       yd->session_id);
 	yahoo_packet_hash(pkt, 1, yd->user);
 	if (pkt) {
@@ -3762,4 +3951,5 @@
 {
 	struct yahoo_input_data *yid = data;
+
 	if (fd == NULL || error) {
 		inputs = y_list_remove(inputs, yid);
@@ -3770,6 +3960,6 @@
 	yid->fd = fd;
 	yid->read_tag =
-		YAHOO_CALLBACK(ext_yahoo_add_handler) (yid->yd->client_id, fd,
-		YAHOO_INPUT_READ, yid);
+	        YAHOO_CALLBACK (ext_yahoo_add_handler) (yid->yd->client_id, fd,
+	                                                YAHOO_INPUT_READ, yid);
 }
 
@@ -3783,6 +3973,7 @@
 	char buff[2048];
 
-	if (!yd)
-		return;
+	if (!yd) {
+		return;
+	}
 
 	yid = y_new0(struct yahoo_input_data, 1);
@@ -3793,6 +3984,6 @@
 
 	snprintf(url, 1024,
-		"http://address.yahoo.com/yab/us?v=XM&prog=ymsgr&.intl=us"
-		"&diffs=1&t=0&tags=short&rt=0&prog-ver=8.1.0.249&useutf8=1&legenc=codepage-1252");
+	         "http://address.yahoo.com/yab/us?v=XM&prog=ymsgr&.intl=us"
+	         "&diffs=1&t=0&tags=short&rt=0&prog-ver=8.1.0.249&useutf8=1&legenc=codepage-1252");
 
 	snprintf(buff, sizeof(buff), "Y=%s; T=%s", yd->cookie_y, yd->cookie_t);
@@ -3801,5 +3992,5 @@
 
 	yahoo_http_get(yid->yd->client_id, url, buff, 0, 0,
-		_yahoo_http_connected, yid);
+	               _yahoo_http_connected, yid);
 }
 
@@ -3821,10 +4012,10 @@
 	}
 
-	YAHOO_CALLBACK(ext_yahoo_write) (fd, buff, strlen(buff));
+	YAHOO_CALLBACK (ext_yahoo_write) (fd, buff, strlen(buff));
 
 	yid->fd = fd;
 	yid->read_tag =
-		YAHOO_CALLBACK(ext_yahoo_add_handler) (yid->yd->client_id, fd,
-		YAHOO_INPUT_READ, yid);
+	        YAHOO_CALLBACK (ext_yahoo_add_handler) (yid->yd->client_id, fd,
+	                                                YAHOO_INPUT_READ, yid);
 
 	FREE(buff);
@@ -3843,6 +4034,7 @@
 	int size = 0;
 
-	if (!yd)
-		return;
+	if (!yd) {
+		return;
+	}
 
 	yid = y_new0(struct yahoo_input_data, 1);
@@ -3850,16 +4042,17 @@
 	yid->yd = yd;
 
-	if(yab->yid)
+	if (yab->yid) {
 		size = snprintf(post, sizeof(post), "<?xml version=\"1.0\" encoding=\"utf-8\"?>"
-			"<ab k=\"%s\" cc=\"%d\">"
-			"<ct id=\"%d\" e=\"1\" yi=\"%s\" nn=\"%s\" />"
-			"</ab>", yd->user, 9, yab->yid,	/* Don't know why */
-			yab->id, yab->nname?yab->nname:"");
-	else
+		                "<ab k=\"%s\" cc=\"%d\">"
+		                "<ct id=\"%d\" e=\"1\" yi=\"%s\" nn=\"%s\" />"
+		                "</ab>", yd->user, 9, yab->yid, /* Don't know why */
+		                yab->id, yab->nname ? yab->nname : "");
+	} else {
 		size = snprintf(post, sizeof(post), "<?xml version=\"1.0\" encoding=\"utf-8\"?>"
-			"<ab k=\"%s\" cc=\"%d\">"
-			"<ct a=\"1\" yi=\"%s\" nn=\"%s\" />"
-			"</ab>", yd->user, 1,	/* Don't know why */
-			yab->id, yab->nname?yab->nname:"");
+		                "<ab k=\"%s\" cc=\"%d\">"
+		                "<ct a=\"1\" yi=\"%s\" nn=\"%s\" />"
+		                "</ab>", yd->user, 1, /* Don't know why */
+		                yab->id, yab->nname ? yab->nname : "");
+	}
 
 	yad->yid = yid;
@@ -3867,5 +4060,5 @@
 
 	strcpy(url, "http://address.yahoo.com/yab/us?v=XM&prog=ymsgr&.intl=us"
-		"&sync=1&tags=short&noclear=1&useutf8=1&legenc=codepage-1252");
+	       "&sync=1&tags=short&noclear=1&useutf8=1&legenc=codepage-1252");
 
 	snprintf(buff, sizeof(buff), "Y=%s; T=%s", yd->cookie_y, yd->cookie_t);
@@ -3874,5 +4067,5 @@
 
 	yahoo_http_post(yid->yd->client_id, url, buff, size,
-		_yahoo_http_post_connected, yad);
+	                _yahoo_http_post_connected, yad);
 }
 
@@ -3880,14 +4073,15 @@
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt = NULL;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 	yd = yid->yd;
 
 	pkt = yahoo_packet_new(active ? YAHOO_SERVICE_IDACT :
-		YAHOO_SERVICE_IDDEACT, YPACKET_STATUS_DEFAULT, yd->session_id);
+	                       YAHOO_SERVICE_IDDEACT, YPACKET_STATUS_DEFAULT, yd->session_id);
 	yahoo_packet_hash(pkt, 3, identity);
 	if (pkt) {
@@ -3900,14 +4094,15 @@
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt = NULL;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 	yd = yid->yd;
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_USERSTAT, YPACKET_STATUS_DEFAULT,
-		yd->session_id);
+	                       yd->session_id);
 	if (pkt) {
 		yahoo_send_packet(yid, pkt, 0);
@@ -3920,13 +4115,15 @@
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt = NULL;
-	if (!yid)
-		return;
+
+	if (!yid) {
+		return;
+	}
 	yd = yid->yd;
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_PING, YPACKET_STATUS_DEFAULT,
-		yd->session_id);
+	                       yd->session_id);
 	yahoo_send_packet(yid, pkt, 0);
 	yahoo_packet_free(pkt);
@@ -3937,15 +4134,16 @@
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt = NULL;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 
 	yd = yid->yd;
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_CHATPING, YPACKET_STATUS_DEFAULT,
-		yd->session_id);
+	                       yd->session_id);
 	yahoo_send_packet(yid, pkt, 0);
 	yahoo_packet_free(pkt);
